local lsp_utils   = require('lsp-utils')
local jedi_config = lsp_utils.jedi_config()

vim.lsp.start(jedi_config)

vim.bo.textwidth = 0
vim.bo.formatprg = "black -q -"

vim.keymap.set('n', 'gq', "ggVGgq<C-o><C-o>", { noremap=true, silent=true, buffer=0 })

vim.api.nvim_create_autocmd({ "BufWritePost" }, {
  buffer   = 0,
  callback = function()
    require("lint").try_lint()
  end,
})
